function GetCookie(nsav) {
	var s=nsav+"=";
	var sl=s.length;
	var cl=document.cookie.length;
	var i=0;
	while(i<cl){
		var j=i+sl;
		if(document.cookie.substring(i,j)==s){
			var end=document.cookie.indexOf(";",j);
			if(end==-1){end=document.cookie.length;}
			return  unescape(document.cookie.substring(j,end));
		}
		i=document.cookie.indexOf(" ",i)+1;
		if(i==0){break;}
	}
	return null;
}

function AffSondage() {
	var result = GetCookie("cSondage" + intSondageId) || 0;
	var strLigne, strBas;
	strSondage += strSondageHeader;
	
	if(result){
		strLigne = strSondageLigneAVoter;
		strBas = strSondageBasAVoter;
	}else{
		strSondage += strSondageHautPasVoter;
		strLigne = strSondageLignePasVoter;
		strBas = strSondageBasPasVoter;
	}
	var lngPercent, lngReste;
	lngReste = 100;
	for(i=0;i<=SondageReponses.length-1;i++){
		var ligne = strLigne;
		ligne = ligne.replace("RSRSRSRS",SondageReponses[i][0]);
		ligne = ligne.replace("RIRIRIRI",SondageReponses[i][1]);
		var re =  /RPRPRPRP/gi;
		if(i==SondageReponses.length-1){
			lngPercent = lngReste;
		}else{
			lngPercent = Math.floor(SondageReponses[i][2]/intNbVotes*100)
			lngReste = lngReste - lngPercent;
		}
		ligne = ligne.replace(re,lngPercent,"\gi");
		strSondage += ligne;
	}

	strSondage += strBas;

	if (SondageArticles.length > 0){
		strSondage += strSondageHautLien;
		for(i=0;i<=SondageArticles.length-1;i++){
			var ligne = strSondageLigneLien
			ligne = ligne.replace("LTLTLTLT",SondageArticles[i][0]);
			ligne = ligne.replace("LILILILI",SondageArticles[i][1]);
			strSondage += ligne;
		}
		strSondage += strSondageBasLien;
	}

	strSondage += strSondageFooter;
}


AffSondage();

document.write(strSondage) ;